MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030215Community[OCCT] OCCT:Application Frameworkpublic2018-10-08 10:212018-10-28 16:14
ReporterBenjaminBihler 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030215: Application Framework, TPrsStd_AISPresentation - Enable Lazy Presentation Updates
DescriptionSee paragraphs "2. Attempt" and "3. Attempt" here: https://www.opencascade.com/content/lazy-presentation-update. [^]

If you agree, then I could add a method TPrsStd_AISPresentation::NullifyAIS() like proposed in the forum topic. Or do you have another proposal?

Thank you,
Benjamin
TagsNo tags attached.
Test case numberbugs caf bug30215
Attached Files

- Relationships

-  Notes
(0079781)
mpv (developer)
2018-10-08 11:21

Dear VRO,

Could you check what could be done.
(0079880)
git (administrator)
2018-10-11 12:15

Branch CR30215 has been created by vro.

SHA-1: 068883493e0a667af3605a3020cbfd2d16b4cac5


Detailed log of new commits:

Author: vro
Date: Thu Oct 11 12:14:07 2018 +0300

    0030215: Application Framework, TPrsStd_AISPresentation - Enable Lazy Presentation Updates
    
    Interactive object is nullified in the method Erase(true).
(0079881)
vro (developer)
2018-10-11 12:16

Hello Benjamin!
Thanks for the description. I reproduced the problem you noticed.
In spite of the 3d attempt works fine, I should agree that it looks a little weird. So, I applied your idea of the 1st attempt and nullified the interactive object after calling of Remove() from the interactive context. It seems it works and looks less weird, do you agree? Could you please check it in your application? The change is in CR30215 branch. Also, you might check it using a simple draw-script:

pload ALL
NewDoc D
AISInitViewer D
box b1 100 100 100
SetShape D 0:1 b1
AISSet D 0:1 NS
AISDisplay D 0:1 0
box b2 100 200 300
SetShape D 0:1 b2
AISRemove D 0:1
AISDisplay D 0:1 0

This script sets a box of (100, 100, 100) size, displays it and then removes. Then, I create a new box with (100, 200, 300) size, replace the old box and then redisplay - the viewer should show the new box having called Update() internally.
(0079883)
BenjaminBihler (developer)
2018-10-11 12:57

Hello vro,

your solution works very well here. I agree that it is elegant to do it like that.

Thank you,
Benjamin
(0079885)
git (administrator)
2018-10-11 13:49

Branch CR30215 has been updated by vro.

SHA-1: aeb400e929d5374abb2f8bead1f2eb0bb9885113


Detailed log of new commits:

Author: vro
Date: Thu Oct 11 13:48:17 2018 +0300

    // Removed commented code.

(0079961)
git (administrator)
2018-10-15 15:08

Branch CR30215_1 has been created by vro.

SHA-1: 7ad0ca0e1e6418f935ae70e1a5867af20b18d2b0


Detailed log of new commits:

Author: vro
Date: Mon Oct 15 15:07:52 2018 +0300

    // Up-to-date version of the branch.
(0079990)
vro (developer)
2018-10-16 07:21

The fix is reviewed. Compilation and testing passed well: http://jenkins-test-12.nnov.opencascade.com/view/CR30215-master-VRO-3/view/COMPARE/. [^] The branch for integration is CR30215_1.
(0080035)
git (administrator)
2018-10-16 23:06

Branch CR30215_1 has been updated by apn.

SHA-1: 1c69df942a17c0f0f407b45c7cdad47ac1848ce1


Detailed log of new commits:

Author: apn
Date: Tue Oct 16 23:05:03 2018 +0300

    //Add test case bugs/caf/bug30215

(0080037)
apn (administrator)
2018-10-16 23:25

Combination -
OCCT branch : CR30215_1 SHA - 7ad0ca0e1e6418f935ae70e1a5867af20b18d2b0
Products branch : master SHA - cd3543d117f1e585e93c7a94dee07b720ee3fd36
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs caf bug30215 - OK

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17568.53999999986 / 17553.839999999873 [+0.08%]
Products
Total CPU difference: 7422.670000000065 / 7416.290000000055 [+0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 17559.051357298453 / 17582.732309098545 [-0.13%]
Products
Total CPU difference: 8329.236592199975 / 8362.40240479998 [-0.40%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0080183)
git (administrator)
2018-10-22 11:52

Branch CR30215 has been deleted by inv.

SHA-1: aeb400e929d5374abb2f8bead1f2eb0bb9885113
(0080425)
git (administrator)
2018-10-28 16:14

Branch CR30215_1 has been deleted by inv.

SHA-1: 1c69df942a17c0f0f407b45c7cdad47ac1848ce1

- Related Changesets
occt: master 78a8dfb9
Timestamp: 2018-10-15 12:07:52
Author: vro
Committer: apn
Details ] Diff ]
0030215: Application Framework, TPrsStd_AISPresentation - Enable Lazy Presentation Updates
mod - src/TPrsStd/TPrsStd_AISPresentation.cxx Diff ] File ]
add - tests/bugs/caf/bug30215 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-10-08 10:21 BenjaminBihler New Issue
2018-10-08 10:21 BenjaminBihler Assigned To => mpv
2018-10-08 10:21 BenjaminBihler Status new => feedback
2018-10-08 11:21 mpv Assigned To mpv => vro
2018-10-08 11:21 mpv Note Added: 0079781
2018-10-11 12:15 git Note Added: 0079880
2018-10-11 12:16 vro Note Added: 0079881
2018-10-11 12:17 vro Assigned To vro => BenjaminBihler
2018-10-11 12:57 BenjaminBihler Note Added: 0079883
2018-10-11 12:57 BenjaminBihler Assigned To BenjaminBihler => vro
2018-10-11 13:49 git Note Added: 0079885
2018-10-15 15:08 git Note Added: 0079961
2018-10-16 07:21 vro Note Added: 0079990
2018-10-16 07:21 vro Assigned To vro => bugmaster
2018-10-16 07:21 vro Status feedback => reviewed
2018-10-16 23:06 git Note Added: 0080035
2018-10-16 23:25 apn Test case number => bugs caf bug30215
2018-10-16 23:25 apn Note Added: 0080037
2018-10-16 23:25 apn Status reviewed => tested
2018-10-21 20:16 apn Changeset attached => occt master 78a8dfb9
2018-10-21 20:16 apn Assigned To bugmaster => apn
2018-10-21 20:16 apn Status tested => verified
2018-10-21 20:16 apn Resolution open => fixed
2018-10-22 11:52 git Note Added: 0080183
2018-10-28 16:14 git Note Added: 0080425


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker